Bug 77312 - BMW Car Configuration Page doesn't work (Only manifests in Chromium)
Summary: BMW Car Configuration Page doesn't work (Only manifests in Chromium)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Adam Barth
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-29 19:15 PST by Adam Barth
Modified: 2012-02-02 16:26 PST (History)
2 users (show)

See Also:


Attachments
Needs tests (3.42 KB, patch)
2012-01-29 19:16 PST, Adam Barth
no flags Details | Formatted Diff | Diff
Patch (4.46 KB, patch)
2012-01-31 16:56 PST, Adam Barth
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Barth 2012-01-29 19:15:18 PST
BMW Car Configuration Page doesn't work (Only manifests in Chromium)
Comment 1 Adam Barth 2012-01-29 19:16:25 PST
Created attachment 124485 [details]
Needs tests
Comment 2 Adam Barth 2012-01-30 15:51:59 PST
Comment on attachment 124485 [details]
Needs tests

I'm nominating this for review even though it doesn't have tests.  I'm happy to add tests if someone knows how we test other RuntimeEnabledFeatures flags.  I poked around a bit and I didn't find anything.
Comment 3 Eric Seidel (no email) 2012-01-30 16:04:05 PST
Comment on attachment 124485 [details]
Needs tests

So we certainly need a bug about making RuntimeEnabledFeatures testable in DRT, and ideally we'd have a patch for such a bug before landing this.  But I'm also willing to approve this patch as-is.  But I'd rather have a test.  We already have testing for Settings using layoutTestController.overridePreference.
Comment 4 Adam Barth 2012-01-30 16:09:33 PST
I've created a bug for adding a testing framework for RuntimeEnabledFeatures and assigned it to myself:
https://bugs.webkit.org/show_bug.cgi?id=77379
Comment 5 Adam Barth 2012-01-31 16:56:59 PST
Created attachment 124853 [details]
Patch
Comment 6 WebKit Review Bot 2012-02-02 16:26:25 PST
Comment on attachment 124853 [details]
Patch

Clearing flags on attachment: 124853

Committed r106603: <http://trac.webkit.org/changeset/106603>
Comment 7 WebKit Review Bot 2012-02-02 16:26:29 PST
All reviewed patches have been landed.  Closing bug.